Kerbal Space Program - Bug #10483

Joystick calibration off in linux
08/17/2016 04:42 AM - sgtnoodle
Severity: Normal % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.1.3 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Whenever | run Kerbal for the first time between reboots, the joystick controlled axes are off-center by about 10%, making vehicles
tumble. | have to then restart Kerbal and they are properly centered. | think maybe the kernel driver outputs garbage for an axis until
the input device file is opened and the axis is moved.

Also, Kerbal's interpretation of the joystick's throttle knob is unfortunate. Throttle only goes down to maybe 10% or so and doesn't
turn off! Viewing the raw joystick values using jstest, the throttle axis goes from -32767 to +32767.

I'm using a Logitech Extreme 3D Pro joystick.

History

#1 - 08/18/2016 09:01 AM - sal_vager

- Category changed from Input Devices and Settings to 368

- Status changed from New to Not a Bug

- % Done changed from 0 to 100

Hi sgtnoodle.

The Unity3D game engine does not do any calibration, and relies on the host operating system for controller input.
Please recalibrate your controller in js-test before playing KSP.

Thank you

#2 - 08/18/2016 04:23 PM - sgtnoodle

I've run jscal multiple times trying to work around this issue and it doesn't help.

If that were true that it's a straight passthrough then the bias error wouldn't exist and then disappear simply by restarting Kerbal.
Also, as | already said, the throttle axis looks perfect in jstest but is garbage inside the game.

Please investigate this issue more before dismissing it. The fact is that Kerbal is miserable to play with using a joystick. It's bad enough that | am
thinking of writing a mod to do my own joystick interfacing. You can blame unity 3D if you want, but that doesn't solve anything.
